Flash working in Google Chrome but not Firefox!!

Hello all,

I am truly at a loss, I am trying to get my Flash Player working again to be able to play Youtube videos and I’ve had no luck. To see if this was an issue with the browser, I downloaded Google Chrome and surely enough the youtube video loaded and played with no problems. I tried to resolve this by uninstalling gnash player and that didn’t seem to help. Something tells me this has to be some sort of conflict with one of the multimedia codecs that I installed because when I first installed openSUSE 11.3, after installing the flash player, everything worked perfectly. This is the list of codecs and installs that I’ve done since then.

libavcodec52
libavdevice52
libdvdnav4
libdvdplay0
libdvdread4
ffmpeg
libquicktime0
libxine1
libxine1-codecs
libxvidcore4
smplayer
vlc
w32codec-all
xine-ui
xvidcore

Best Regards,

freesparks

What is the output of:

rpm -qa | grep flash

Hello ah7013,

Thank you so much for the quick reply. this is the output!!

pullin-flash-player-11.3.1-2.1.1.i586
flash-player-10.1.85.3-0.1.1.i586

Best Regards,

freesparks

if you’re trying to view Flash in FF, you need to open FF > Tools > Add-ons

By default you should see the Plugins tab and listed there should be Shockwave Flash (current version today is 10.1.r85).
Click the “Find Updates” button at the bottom and FF will look for updates for everything that is listed.

Note that what ah7013 is suggesting puts you on the path to investigate the standalone Flash player, not a browser plugin.

HTH,
Tony

The multi-media codecs do not affect flash-player
In the ffox address bar type:

about:plugins

do you see shockwave flash?

If it’s there and flash isn’t working, try renaming .mozilla to test firefox on a new profile, we can put it back later

Thanks so much for the quick replies guys, I’m learning tons. I renamed the folder and relaunched firefox to no avail. And, yes all those plugins were listed inside about:plugins. This has to be some conflict internally. But, believe it or not I first tried to resolve this by nuking .mozilla insisde my home directory then I uninstalled Mozilla all together., again to no avail…

Best Regards,

freesparks

It seems flash and the plugin is in place then. I have never yet had this happen to me, but it’s not the first time I have seen it in the forum. Please try this:
Keeping Firefox and Mozilla Apps Right up to date.

Can you post result of

uname -a
rpm -q nspluginwrapper

Hello all,

This is the output of the commands:

uname -a:

Linux linux-8qpz.site 2.6.34.7-0.4-default #1 SMP 2010-10-07 19:07:51 +0200 i686 athlon i386 GNU/Linux

and,

rpm -q nspluginwrapper:

nspluginwrapper-1.3.0-1.14.i586

Not sure what these do but will start to read on them. This is why I love Linux, it forces you to know what is going on under the hood.

Best Regards,

freesparks

Did you do this already?
Keeping Firefox and Mozilla Apps Right up to date.

Hello all,

Yes i just did this. Still, no luck. This is the entire output from the Terminal!!:

me@mycomputer:~> zypper lr -d

| Alias | Name | Enabled | Refresh | Priority | Type | URI | Service

—±------------------------------±--------------------------±--------±--------±---------±-------±---------------------------------------------------------------------------±-------
1 | Banshee | Banshee | Yes | Yes | 99 | rpm-md | Index of /repositories/Banshee/openSUSE_11.3 |
2 | Videolan_VLC | Videolan VLC | Yes | Yes | 99 | rpm-md | Index of /pub/vlc/SuSE/11.1/ |
3 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | Yes | 99 | yast2 | Index of /distribution/11.3/repo/non-oss |
4 | download.opensuse.org-oss | Main Repository (DEBUG) | Yes | Yes | 99 | yast2 | Index of /debug/distribution/11.3/repo/oss |
5 | download.opensuse.org-oss_1 | Main Repository (OSS) | Yes | Yes | 99 | yast2 | Index of /distribution/11.3/repo/oss |
6 | download.opensuse.org-oss_2 | Main Repository (Sources) | Yes | Yes | 99 | yast2 | Index of /source/distribution/11.3/repo/oss |
7 | download.opensuse.org-update | Main Update Repository | Yes | Yes | 99 | rpm-md | Index of /update/11.3 |
8 | ftp.uni-erlangen.de-suse | Packman Repository | Yes | Yes | 99 | rpm-md | Index of /pub/mirrors/packman/suse/11.3/ |
9 | google-chrome | google-chrome | Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/i386 |
10 | libdvdcss | libdvdcss | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.3/ |
11 | libdvdcss_1 | libdvdcss | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.2/ |
12 | packman_1 | packman | Yes | Yes | 99 | rpm-md | Index of /repositories/Emulators:/Wine/openSUSE_11.3 |
13 | reddwarf | reddwarf | Yes | Yes | 99 | rpm-md | Index of /repositories/home:/RedDwarf/openSUSE_11.3 |
14 | repo-debug | openSUSE-11.3-Debug | Yes | Yes | 99 | yast2 | Index of /debug/distribution/11.3/repo/oss |
15 | repo-non-oss | openSUSE-11.3-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.3/repo/non-oss |
16 | repo-oss | openSUSE-11.3-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.3/repo/oss |
17 | repo-source | openSUSE-11.3-Source | Yes | Yes | 99 | yast2 | Index of /source/distribution/11.3/repo/oss |
18 | repo-update | openSUSE-11.3-Update | Yes | Yes | 99 | rpm-md | Index of /update/11.3 |
me@mycomputer:~> zypper ar -f Index of /repositories/mozilla/openSUSE_11.3 mozilla
Root privileges are required for modifying system repositories.
me@mycomputer:~> su -
Password:
mycomputer:~ # zypper ar -f Index of /repositories/mozilla/openSUSE_11.3 mozilla
Adding repository ‘mozilla’ [done]
Repository ‘mozilla’ successfully added
Enabled: Yes
Autorefresh: Yes
URI: Index of /repositories/mozilla/openSUSE_11.3

mycomputer:~ # zypper ar -f Index of /repositories/mozilla/openSUSE_11.2 mozilla
Adding repository ‘mozilla’ [done]
Repository named ‘mozilla’ already exists. Please use another alias.
mycomputer:~ # zypper ref
Repository ‘Banshee’ is up to date.
Repository ‘Videolan VLC’ is up to date.
Repository ‘Main Repository (NON-OSS)’ is up to date.
Repository ‘Main Repository (DEBUG)’ is up to date.
Repository ‘Main Repository (OSS)’ is up to date.
Repository ‘Main Repository (Sources)’ is up to date.
Retrieving repository ‘Main Update Repository’ metadata [done]
Building repository ‘Main Update Repository’ cache [done]
Repository ‘Packman Repository’ is up to date.
Repository ‘google-chrome’ is up to date.
Repository ‘libdvdcss’ is up to date.
Repository ‘libdvdcss’ is up to date.
Retrieving repository ‘mozilla’ metadata /]

New repository or package signing key received:
Key ID: 026B47F3766DA614
Key Name: mozilla OBS Project <mozilla@build.opensuse.org>
Key Fingerprint: AAA531905D829BDCBE4D5169026B47F3766DA614
Key Created: Tue Aug 3 07:13:29 2010
Key Expires: Thu Oct 11 07:13:29 2012
Repository: mozilla

Do you want to reject the key, trust temporarily, or trust always? [r/t/a/?] (r): a
Retrieving repository ‘mozilla’ metadata [done]
Building repository ‘mozilla’ cache [done]
Repository ‘packman’ is up to date.
Repository ‘reddwarf’ is up to date.
Repository ‘openSUSE-11.3-Debug’ is up to date.
Repository ‘openSUSE-11.3-Non-Oss’ is up to date.
Repository ‘openSUSE-11.3-Oss’ is up to date.
Repository ‘openSUSE-11.3-Source’ is up to date.
Retrieving repository ‘openSUSE-11.3-Update’ metadata [done]
Building repository ‘openSUSE-11.3-Update’ cache [done]
All repositories have been refreshed.
mycomputer:~ # zypper dup -r mozilla
Loading repository data…
Reading installed packages…
Computing distribution upgrade…

The following packages are going to be upgraded:
MozillaFirefox MozillaFirefox-theme-oxygen libfreebl3 libsoftokn3 mozilla-js192 mozilla-kde4-integration
mozilla-nss mozilla-nss-certs mozilla-xulrunner192 mozilla-xulrunner192-gnome
mozilla-xulrunner192-translations-common

The following packages are going to be downgraded:
libnsssharedhelper0 mozilla-nspr

The following packages are going to change vendor:
MozillaFirefox openSUSE -> obs://build.opensuse.org/mozilla
MozillaFirefox-theme-oxygen openSUSE -> obs://build.opensuse.org/mozilla
libfreebl3 openSUSE -> obs://build.opensuse.org/mozilla
libnsssharedhelper0 openSUSE -> obs://build.opensuse.org/mozilla
libsoftokn3 openSUSE -> obs://build.opensuse.org/mozilla
mozilla-js192 openSUSE -> obs://build.opensuse.org/mozilla
mozilla-kde4-integration openSUSE -> obs://build.opensuse.org/mozilla
mozilla-nspr openSUSE -> obs://build.opensuse.org/mozilla
mozilla-nss openSUSE -> obs://build.opensuse.org/mozilla
mozilla-nss-certs openSUSE -> obs://build.opensuse.org/mozilla
mozilla-xulrunner192 openSUSE -> obs://build.opensuse.org/mozilla
mozilla-xulrunner192-gnome openSUSE -> obs://build.opensuse.org/mozilla
mozilla-xulrunner192-translations-common openSUSE -> obs://build.opensuse.org/mozilla

11 packages to upgrade, 2 to downgrade, 13 to change vendor.
Overall download size: 11.0 MiB. After the operation, additional 56.0 KiB will be used.
Continue? [y/n/?] (y): y
Retrieving package mozilla-nspr-4.8.6-1.1.i586 (1/13), 104.0 KiB (268.0 KiB unpacked)
Retrieving: mozilla-nspr-4.8.6-1.1.i586.rpm [done (28.5 KiB/s)]
Installing: mozilla-nspr-4.8.6-1.1 [done]
Retrieving package libfreebl3-3.12.8-3.1.i586 (2/13), 120.0 KiB (327.0 KiB unpacked)
Retrieving: libfreebl3-3.12.8-3.1.i586.rpm [done (23.0 KiB/s)]
Installing: libfreebl3-3.12.8-3.1 [done]
Retrieving package MozillaFirefox-theme-oxygen-1.4.92-6.1.noarch (3/13), 443.0 KiB (656.0 KiB unpacked)
Retrieving: MozillaFirefox-theme-oxygen-1.4.92-6.1.noarch.rpm [done (73.3 KiB/s)]
Installing: MozillaFirefox-theme-oxygen-1.4.92-6.1 [done]
Retrieving package mozilla-nss-certs-3.12.8-3.1.i586 (4/13), 148.0 KiB (401.0 KiB unpacked)
Retrieving: mozilla-nss-certs-3.12.8-3.1.i586.rpm [done (10.6 KiB/s)]
Installing: mozilla-nss-certs-3.12.8-3.1 [done]
Retrieving package mozilla-js192-1.9.2.12-1.1.i586 (5/13), 569.0 KiB (1.5 MiB unpacked)
Retrieving: mozilla-js192-1.9.2.12-1.1.i586.rpm [done (72.5 KiB/s)]
Installing: mozilla-js192-1.9.2.12-1.1 [done]
Retrieving package libsoftokn3-3.12.8-3.1.i586 (6/13), 158.0 KiB (414.0 KiB unpacked)
Retrieving: libsoftokn3-3.12.8-3.1.i586.rpm [done (47.5 KiB/s)]
Installing: libsoftokn3-3.12.8-3.1 [done]
Retrieving package mozilla-nss-3.12.8-3.1.i586 (7/13), 554.0 KiB (1.7 MiB unpacked)
Retrieving: mozilla-nss-3.12.8-3.1.i586.rpm [done (77.3 KiB/s)]
Installing: mozilla-nss-3.12.8-3.1 [done]
Retrieving package libnsssharedhelper0-1.0.9-1.1.i586 (8/13), 16.0 KiB (35.0 KiB unpacked)
Retrieving: libnsssharedhelper0-1.0.9-1.1.i586.rpm [done (0 B/s)]
Installing: libnsssharedhelper0-1.0.9-1.1 [done]
Retrieving package mozilla-xulrunner192-1.9.2.12-1.1.i586 (9/13), 6.9 MiB (25.6 MiB unpacked)
Retrieving: mozilla-xulrunner192-1.9.2.12-1.1.i586.rpm [done (57.9 KiB/s)]
Installing: mozilla-xulrunner192-1.9.2.12-1.1 [done]
Retrieving package mozilla-xulrunner192-translations-common-1.9.2.12-1.1.i586 (10/13), 1.1 MiB (8.1 MiB unpacked)
Retrieving: mozilla-xulrunner192-translations-common-1.9.2.12-1.1.i586.rpm [done (101.4 KiB/s)]
Installing: mozilla-xulrunner192-translations-common-1.9.2.12-1.1 [done]
Retrieving package mozilla-xulrunner192-gnome-1.9.2.12-1.1.i586 (11/13), 42.0 KiB (108.0 KiB unpacked)
Retrieving: mozilla-xulrunner192-gnome-1.9.2.12-1.1.i586.rpm [done (25.7 KiB/s)]
Installing: mozilla-xulrunner192-gnome-1.9.2.12-1.1 [done]
Retrieving package mozilla-kde4-integration-0.6.2-14.1.i586 (12/13), 22.0 KiB (50.0 KiB unpacked)
Retrieving: mozilla-kde4-integration-0.6.2-14.1.i586.rpm [done (0 B/s)]
Installing: mozilla-kde4-integration-0.6.2-14.1 [done]
Retrieving package MozillaFirefox-3.6.12-1.1.i586 (13/13), 860.0 KiB (3.4 MiB unpacked)
Retrieving: MozillaFirefox-3.6.12-1.1.i586.rpm [done (38.2 KiB/s)]
Installing: MozillaFirefox-3.6.12-1.1 [done]
Additional rpm output:
Warning in file “/usr/share/applications/nautilus-folder-handler.desktop”: usage of MIME type “x-directory/gnome-default-handler” is discouraged (“x-directory” is an old media type that should be replaced with a modern equivalent)
Warning in file “/usr/share/applications/nautilus-folder-handler.desktop”: usage of MIME type “x-directory/normal” is discouraged (“x-directory” is an old media type that should be replaced with a modern equivalent)
Error in file “/usr/share/applications/kde4/kfontview.desktop”: “fonts/package” is an invalid MIME type (“fonts” is an unregistered media type)
Warning in file “/usr/share/applications/nautilus-folder-handler.desktop”: usage of MIME type “x-directory/gnome-default-handler” is discouraged (“x-directory” is an old media type that should be replaced with a modern equivalent)
Warning in file “/usr/share/applications/nautilus-folder-handler.desktop”: usage of MIME type “x-directory/normal” is discouraged (“x-directory” is an old media type that should be replaced with a modern equivalent)
Error in file “/usr/share/applications/kde4/kfontview.desktop”: “fonts/package” is an invalid MIME type (“fonts” is an unregistered media type)

There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run ‘zypper ps’ to list these programs.

This was the entire output. Let me know what you think.

Best Regards,

freesparks

That is a mess
Big time

remove the following repos

12
11
7
6
5
4
3
2

One you have done that post me your list again so I can see it
zypper lr -d

Aww shucks, that’s too bad. I’m already on my way to work. Hopefully if I get my hands on it again,
I will let you know how I fair out. I really appreciate all your help!!

Best Regards,

freesparks

You’ll notice if you look carefully there are duplicates, some for 11.1 and 11.2 as well
Post the adjusted list when you can

Then I’ll advise

Hi,

I had the same problem of firefox not recognizing the flash plugin.
I installed flash from Adobe website manually using zypper.

You may try to create a symbolic link as under:
Type this in terminal (may need root permissions)
ln -s /usr/lib/flash-plugin/libflashplayer.so /usr/lib/browser-plugins/libflashplayer.so

This worked for me.:slight_smile:

Also, go through this link
Install the latest Adobe flash player, the rpm way

Cheers,
Dhruva
(Change for the sake of changing. For only change is permanent ;))

Maybe this will work:

There is a thing I have to do every time I do an update.
The link callled “/lib/libz.so.1” points to “libz.so.1.2.5” every time I update.
This renders all of my 32b software useless.
Google Earth, Skype, and Flash Player.

The fix is to open Dolphin-Super User Mode and do Properties of “/lib/libz.so.1”.
You will see the target as “libz.so.1.2.5”. If so just change that to “libz.so.1.2.3”

That fixes it for me every time, but it frustrates me that these lab guys don’t just do 64b Linux Builds.

DON’T DO THAT ON A 32 BIT SYSTEM.
MAKE SURE YOU HAVE 64 BIT INSTALLATION.

The fix is to open Dolphin-Super User Mode and do Properties of “/lib/libz.so.1”.
You will see the target as “libz.so.1.2.5”. If so just change that to “libz.so.1.2.3”

If I open this file with kwrite, it shows and unreadable binary file

It’s a link, which set up with a text editor (kwrite is opening the file the link is pointing to). Use a file manager (Dolphin was recommend above, if you’re on gnome then you should have nautilus installed.)